GETHOSTID(P)

NAME
gethostid - get an identifier for the current host

SYNOPSIS

#include <unistd.h>

long gethostid(void);

DESCRIPTION

The gethostid() function shall retrieve a 32-bit identifier for the current host.

RETURN VALUE

Upon successful completion, gethostid() shall return an identifier for the current host.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

This volume of IEEE Std 1003.1-2001 does not define the domain in which the return value is unique.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

random() , the Base Definitions volume of IEEE Std 1003.1-2001, <unistd.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .